copilot-language-4.6.1: A Haskell-embedded DSL for monitoring hard real-time distributed systems.

Safe Haskell | Safe
Language | Haskell2010

Copilot.Language.Operators.Propositional

Description

Implement negation over quantified extensions of boolean streams.

For details, see `Prop`.

Synopsis

- not :: Negatable a b => a -> b

# Documentation

not :: Negatable a b => a -> b Source #

Negate a proposition.